#!/bin/sh

# comment out if you don't want to start program
# exit 0

echo -e "Start Driverupdate ... \n\r"

pdir=/usr/local/prg

# Linux 2.4
if [ -e ${pdir}/Sportmap ]; then
    echo -e "Update Linux 2.4 USB driver ...\n\r"
    if [ -e /usr/local/data/tmpdrv/linux24/usbn9603.o ]; then
	cp /usr/local/data/tmpdrv/linux24/usbn9603.o /usr/local/data/tmpdrv/.
    fi
    if [ -e /usr/local/data/tmpdrv/linux24/usbcorona.o ]; then
	cp /usr/local/data/tmpdrv/linux24/usbcorona.o /usr/local/data/tmpdrv/.
    fi
    if [ -e /usr/local/data/tmpdrv/linux24/drv_version ]; then
	cp /usr/local/data/tmpdrv/linux24/drv_version /usr/local/data/tmpdrv/.
    fi
    
# Linux 2.6
else
    echo -e "Update Linux 2.6 USB driver ...\n\r"
    if [ -e /usr/local/data/tmpdrv/linux26/usbn9603.o ]; then
	cp /usr/local/data/tmpdrv/linux26/usbn9603.o /usr/local/data/tmpdrv/.
    fi
    if [ -e /usr/local/data/tmpdrv/linux26/usbcorona.o ]; then
	cp /usr/local/data/tmpdrv/linux26/usbcorona.o /usr/local/data/tmpdrv/.
    fi
    if [ -e /usr/local/data/tmpdrv/linux26/drv_version ]; then
	cp /usr/local/data/tmpdrv/linux26/drv_version /usr/local/data/tmpdrv/.
    fi
fi

# remove temporary directories
if [ -d /usr/local/data/tmpdrv/linux26 ]; then
    if rm -Rf /usr/local/data/tmpdrv/linux26 ; then
	echo -e "rm -Rf ../tmpdrv/linux26 success\n"
    else
	echo -e "rm -Rf ../tmpdrv/linux26 failed\n"
    fi
else
    echo -e "../tmpdrv/linux26 folder not found\n"
fi
if [ -d /usr/local/data/tmpdrv/linux24 ]; then
    if rm -Rf /usr/local/data/tmpdrv/linux24 ; then
	echo -e "rm -Rf ../tmpdrv/linux24 success\n"
    else
	echo -e "rm -Rf ../tmpdrv/linux24 failed\n"
    fi	
else
    echo -e "../tmpdrv/linux24 folder not found\n\r"
fi

# DR5000 / DU720 / DU730
if [ -e $pdir/ghl -o -e $pdir/du720 -o -e $pdir/du730 ]; then
    if [ -e /usr/local/data/tmpdrv/usbn9603.o ]; then
	if [ -e /usr/local/prg/usbn9603.o ]; then
	    if rm /usr/local/prg/usbn9603.o ; then
		echo -e "rm /usr/local/prg/usbn9603.o success \n\r"
	    else
		exit -1
	    fi
	fi
	if cp -p /usr/local/data/tmpdrv/usbn9603.o /usr/local/prg/ ; then
	    echo -e "cp -p /usr/local/data/tmpdrv/usbn9603.o success \n\r"
	else
	    exit -2
	fi
    else
	echo -e "/usr/local/data/tmpdrv/usbn9603.o not found \n\r"
	exit -3
    fi
    
# DR2800 / DR3800 / DR2800eco / DR2700 / LICO500 / LICO150
elif [ -e $pdir/dr2800 -o -e $pdir/dr3800 -o -e $pdir/dr2800eco -o -e $pdir/dr2700 -o -e $pdir/lcp5 -o -e $pdir/lcp150 ]; then
    if [ -e /usr/local/data/tmpdrv/usbcorona.o ]; then
	if [ -e /usr/local/prg/usbcorona.o ]; then
	    if rm /usr/local/prg/usbcorona.o ; then
		echo -e "rm /usr/local/prg/usbcorona.o success \n\r"
	    else
		exit -1
	    fi
	fi
	if cp -p /usr/local/data/tmpdrv/usbcorona.o /usr/local/prg/ ; then
	    echo -e "cp -p /usr/local/data/tmpdrv/usbcorona.o success \n\r"
	else
	    exit -2
	fi
    else
	echo -e "/usr/local/data/tmpdrv/usbcorona.o not found \n\r"
	exit -3
    fi

else
    echo -e "Application file not found \n\r"
    exit -4
fi

# Versionsfile schreiben
if [ -e /usr/local/data/drv_version ]; then
    if rm /usr/local/data/drv_version ; then
	echo -e "rm /usr/local/data/drv_version success \n\r"
    else
	exit -1
    fi
fi
if cp -p /usr/local/data/tmpdrv/drv_version /usr/local/data/ ; then
    echo -e "cp -p /usr/local/data/tmpdrv/drv_version success \n\r"
else
    exit -2
fi

# Startscript aktualisieren
if [ -e /usr/local/prg/_start ]; then
    rm /usr/local/prg/_start
fi
if [ -e /usr/local/prg/start ]; then
    if mv /usr/local/prg/start /usr/local/prg/_start ; then
	echo -e "save '/usr/local/prg/start' to '/usr/local/prg/_start' success \n\r"
    else
	exit -1
    fi
fi
if cp -p /usr/local/data/tmpdrv/start /usr/local/prg/ ; then
    echo -e "cp -p /usr/local/data/tmpdrv/start success \n\r"
else
    if mv /usr/local/prg/_start /usr/local/prg/start; then
	echo -e "old file '/usr/local/prg/start' used \n\r"
    else
	exit -2
    fi
    exit -3
fi
if [ -e /usr/local/prg/_start ]; then
    if rm /usr/local/prg/_start ; then
	echo -e "rm '/usr/local/prg/_start' success \n\r"
    else
	exit -4
    fi
fi

echo -e "Driverupdate complete! \n\r"
exit 0

